List Services
curl --request GET \
--url https://api.example.com/api/servicesimport requests
url = "https://api.example.com/api/services"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"slug": "example-service",
"name": "Example Service",
"online": 1250,
"status": "online"
}
],
"page": 1,
"pageSize": 10,
"total": 45
}
Services
List Services
Get a paginated list of all available services
GET
/
api
/
services
List Services
List Services
Retrieve a paginated list of all available services with their current status and online counts.Query Parameters
integer
default:"1"
Page number for pagination (1-indexed)
integer
default:"30"
Number of items per page
string
default:"1"
Set to “0” to disable fast mode caching. Fast mode uses cached data with 30s TTL.
Response
array
integer
Current page number
integer
Number of items per page
integer
Total number of services
Example Request
curl -X GET "https://www.orcrev.fit/api/services?page=1&pageSize=10"
const response = await fetch('/api/services?page=1&pageSize=10');
const data = await response.json();
console.log(data.items);
Example Response
{
"items": [
{
"slug": "example-service",
"name": "Example Service",
"online": 1250,
"status": "online"
}
],
"page": 1,
"pageSize": 10,
"total": 45
}
{
"items": [
{
"slug": "example-service",
"name": "Example Service",
"online": 1250,
"status": "online"
}
],
"page": 1,
"pageSize": 10,
"total": 45
}
⌘I

